
                 PAGE    66,132
                 TITLE   'SetPrn.Com - Parallel printer setup'
                 COMMENT ~
                         Setup program to configure printer(s) to
                         appropriate margin, pagelength, typeface.

                         Run from autoexec upon startup.

                         Currently configured for Epson/HP, may be
                         reconfigured for any printer.
                         ~

 cseg            segment byte public
                 assume  cs:cseg, ds:cseg, ss:cseg ,es:cseg
 ;
 pport           equ     4             ;lpt1
 ;
                 org     081h
 parms           db      ?
 ;
                 org     100h          ;.com - rem to EXE2BIN
 ;
 start:          jmp     begin
 ;
 ;EDIT BELOW FOR YOUR PRINTER
 ;
 errmsg          db      10,13,'SETPRN <H | E> Where H=HP E=Epson',10,13,'$'
 hpstr           db      27,69,27,38,108,54,48,80,27,38,97,49,48,76,27,40,115,49,50,72,27,38,108,51,69
 epstr           db      27,64,27,77,27,49,12,27,67,60
 ;
 progproc        proc    near
 begin:
 ;*****************************************************************
 ;IF YOU HAVE ONLY ONE PRINTER, COMMENT OUT THIS BLOCK
 ;AND EXECUTE PROGRAM WITHOUT PARAMETER
 ;
                 cld
                 mov     si,offset parms
 loop1:

                 lodsb                 ;get character from parm
                 cmp     al,20h        ;if its a blank
                 je      loop1         ;go back and get another
                 and     al,0dfh       ;not blank - make upper case
                 cmp     al,'E'        ;compare
                 je      epson         ;if yes
                 cmp     al,'H'
                 je      hp
                 jmp     syntax
 ;*****************************************************************

 epson:
                 mov     ah,40h
                 mov     bx,pport      ;**REM TO EDIT NEXT LINE if codes change
                 mov     cx,10         ;number of chars to send
                 lea     dx,epstr
                 int     21h
                 jmp     exit
 ;
 hp:             mov     ah,40h
                 mov     bx,pport
                 mov     cx,25         ;number of chars to send
                 lea     dx,hpstr
                 int     21h
                 jmp     exit
;
 syntax:         mov     ah,9
                 lea     dx,errmsg
                 int     21h
;
 exit:           mov     ah,4Ch        ;set errorlevel
                 int     21h           ;and exit

 progproc        endp
 cseg            ends
                 end     start

